.bg__login {
    background: linear-gradient(#a1a1a1, #64897b);
    height: 100vh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login {
    width: 350px;
    padding: 50px 50px 40px 50px;
    background-color: #fafafa;
    border-radius: 5px;
    box-shadow: 0 0 10px rgb(107, 107, 107);
}

.login > h1 {
    text-align: center;
    color: #2d5042;
    font-size: 2.2em;
}

.login > h1 > span {
    color: rgb(103 103 135);
}

.login > h2 {
    margin-bottom: 30px;
    text-align: center;
}

.login__form {
    display: flex;
    flex-direction: column;
}

.login__form > label {
    margin-bottom: 5px;
}

.login__form > input {
    margin-bottom: 15px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid grey;
    transition-duration: .2s;
}

.login__form > input:focus {
    outline: none;
    box-shadow: 0 0 5px #92afa4;
}

.login > div:last-child {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.login > div:last-child > button {
    border: none;
    background-color: #7d978d;
    transition-duration: .2s;
    cursor: pointer;
    color: white;
    border-radius: 5px;
    padding: 10px 15px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login > div:last-child > button:hover {
    background-color: #697e76;
}

.login > div:last-child > div {
    display: flex;
    flex-direction: column;
}

.login > div:last-child > div > span {
    cursor: pointer;
    text-decoration: underline;
    transition-duration: .2s;
    margin-bottom: 10px;
}

.login > div:last-child > div > span:hover {
    color: #697e76;
}

.authError {
    display: flex;
    padding: 10px 20px;
    align-items: center;
    justify-content: space-between;
    border: 1px solid rgb(147 45 45);
    background-color: rgb(189 110 110 / 84%);
    color: white;
    margin-bottom: 20px;
}

.authError > p {
    padding-right: 20px;
}

.authError > svg {
    fill: white;
    font-size: 1.8em;
}

@media (max-width: 500px) {
    .login {
        width: calc(90% - 50px);
        padding: 25px;
    }

    .login > div:last-child {
        flex-direction: column-reverse;
    }

    .login > div:last-child > button {
        margin: 15px;
    }
}